{ inputs, config, pkgs, ... }:

{
  imports = [
    (import ./utils/desktop.nix { inherit inputs config pkgs; })
  ];
  programs.ssh.matchBlocks."*".identityFile = "/home/server/.secrets/SSH/Kell/id_ed25519";

  services.hyprpaper = {
    settings = {
      wallpaper = [
        "DP-3,${./hyprland/files/wallpaper.png}"
        "DP-2,${./hyprland/files/wallpaper.png}"
        "HDMI-A-1,${./hyprland/files/wallpaper.png}"
      ];
    };
  };
  programs.waybar.settings.mainBar = {
    output = "DP-2";
    "custom/temperature".exec = "${pkgs.lm_sensors}/bin/sensors | ${pkgs.gnugrep}/bin/grep Tctl | cut -c16-22";
  };
  wayland.windowManager.hyprland.settings = {
    monitor = [
      "DP-3,preferred,0x550,1"
      "DP-2,preferred,1920x0,1"
      "HDMI-A-1,preferred,5760x550,1"
    ];
    input.kb_options = "compose:rctrl, caps:super, altwin:swap_alt_win";
  };
  programs.waybar.style = ''
    * {
        font-size: 18px;
        font-weight:400;
    }
    #tray {
        padding: 0 14px;
        margin-left:4px;
        margin-right:4px;
        margin-top:2px;
        margin-bottom:2px;
    }
    #workspaces {
        margin: 4px 9px;
    }
    #wireplumber {
        background-color: #023269;
    }
    #tray {
        background-color: #1f2430;
    }
  '';
}
